Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.util.arrayutil
Class TemporalWindowField

    java.lang.Object
      org.encog.util.arrayutil.TemporalWindowField

    public class TemporalWindowField

extends Object

This class specifies how fields are to be used by the TemporalWindowCSV class.

Constructor Summary
`TemporalWindowField(String theName)` Construct the object.

Method Summary
`TemporalType` | `getAction()`
`boolean` | `getInput()`
`String` | `getLastValue()`
`String` | `getName()`
`boolean` | `getPredict()`
`void` | `setAction(TemporalType theAction)`
`void` | `setLastValue(String theLastValue)`
`void` | `setName(String theName)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TemporalWindowField

    public TemporalWindowField(String theName)

  Construct the object.

  Parameters:
    `theName` - The name of the field to be considered.

Method Detail

### getAction

    public final TemporalType getAction()

  Returns:
    the action

### getInput

    public final boolean getInput()

  Returns:
    Returns true, if this field is to be used as part of the input for a prediction.

### getLastValue

    public final String getLastValue()

  Returns:
    the lastValue

### getName

    public final String getName()

  Returns:
    the name

### getPredict

    public final boolean getPredict()

  Returns:
    Returns true, if this field is part of what is being predicted.

### setAction

    public final void setAction(TemporalType theAction)

  Parameters:
    `theAction` - the action to set

### setLastValue

    public final void setLastValue(String theLastValue)

  Parameters:
    `theLastValue` - the lastValue to set

### setName

    public final void setName(String theName)

  Parameters:
    `theName` - the name to set

### toString

    public final String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.